summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2016-02-21 12:13:44 +0100
committerManuel Rüger <mrueg@gentoo.org>2016-02-21 12:14:21 +0100
commitd4df58f7edf8baf51bf6bb83bfb91d3c6735a829 (patch)
treeb5aea9713f31eec19a16f27f69b4f93670da9742 /dev-ruby
parentMerge remote-tracking branch 'https://github.com/gentoo/gentoo/pull/891'. (diff)
downloadgentoo-d4df58f7edf8baf51bf6bb83bfb91d3c6735a829.tar.gz
gentoo-d4df58f7edf8baf51bf6bb83bfb91d3c6735a829.tar.bz2
gentoo-d4df58f7edf8baf51bf6bb83bfb91d3c6735a829.zip
dev-ruby/coderay: Version bump
Package-Manager: portage-2.2.27
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/coderay/Manifest1
-rw-r--r--dev-ruby/coderay/coderay-1.1.1.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-ruby/coderay/Manifest b/dev-ruby/coderay/Manifest
index 0d7ce75eaf2..6e952d4aac7 100644
--- a/dev-ruby/coderay/Manifest
+++ b/dev-ruby/coderay/Manifest
@@ -1,2 +1,3 @@
DIST coderay-1.1.0.tar.gz 242639 SHA256 a33f6490aacd1d035fa82e2c1fe88b0e2c9553c1f7d24b813ca2b4d73804342f SHA512 9443a629bf60b7f888198ebfc72f012cceda5c9cb3e14204b3d025807dc4cb0ca0896869ae1cc89f1aa87a7c0e84830cb03aee2c4da4fd80326606a0e22b2031 WHIRLPOOL 50c5b6d07e803bfd7e14c10b0f583657f2b95dc548a748a8d677b80c49480110e9e763bdd6fe376bf58b1992a61a93e88ba2b5476ce9437e41a8d1fc5addc745
DIST coderay-1.1.0.tgz 242639 SHA256 2e9fc7ac7ef9b14fc87f8467994bf436d3bc1e7fb6f768cc2c1049ea5c6cd96f SHA512 8bf57162f59a35a2c0df9e4925ce2313c77a8613849df6e18052c3d15c5a1a39f73ff0a090675711e274e269f271dc6f7c5a9ade25cdaa34080ee3e245e9d19a WHIRLPOOL 31bd461ce9fec3d402bed43103b43136dca4388cd27f226c16fb33b957117b14701dac147c0b0c61204fe806e4c7b2175f4c3908e673791a1f1f412f7879fd26
+DIST coderay-1.1.1.tar.gz 220111 SHA256 75736cb542a8fb355943f8f256c690b5b79171c2a5569d9abca305c6ac803e60 SHA512 850cd1db29b90455f329fd2eec7ddf8f0556469162d9abb8579c8e3a7d19f4aee15185d4846b0d5f74016e1dd66eef78d06155684c64040706e4cf121d05c5c9 WHIRLPOOL 15a517cfa52fa3b9cb7a9f2491de4635517f2c96d9903ce0265d54d5214f7c70e429b4a583bea27c58a1193594ff645c71242f0841bd7551c8cfe373753804d3
diff --git a/dev-ruby/coderay/coderay-1.1.1.ebuild b/dev-ruby/coderay/coderay-1.1.1.ebuild
new file mode 100644
index 00000000000..31e76e91a8f
--- /dev/null
+++ b/dev-ruby/coderay/coderay-1.1.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+# The test target also contains test:exe but that requires
+# shoulda-context which we do not have packaged yet.
+RUBY_FAKEGEM_TASK_TEST="test:functional test:units"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="Changes-pre-1.0.textile Changes.textile FOLDERS README_INDEX.rdoc README.markdown"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby library for syntax highlighting"
+HOMEPAGE="http://coderay.rubychan.de/"
+SRC_URI="https://github.com/rubychan/coderay/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+# Redcloth is optional but automagically tested, so we add this
+# dependency to ensure that we get at least a version that works: bug
+# 330621.
+ruby_add_bdepend "test? ( >=dev-ruby/redcloth-4.2.2 )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e '/git ls-files/ s:^:#:' coderay.gemspec || die
+}